#!/bin/bash


raw_lands=$(curl -s https://api.swedenconnect.se/testid/qa/execution-status | jq --raw-output '."last execution result".failed[].result')

declare -a lands=($(echo $raw_lands | tr "\n" " "))

exit_status=0
output=""

for land in "${lands[@]}"
do
 if [[ "$land" == XA* ]]
 then
     exit_status=1
     output="$output $land test country failing"
 fi
 if [[ "$land" == XB* ]]
 then
     exit_status=1
     output="$output $land test country failing"
 fi
done

if [ "$exit_status" -gt 0 ]
then
    echo $output
else
   echo "Tests on test lands are error free"
fi

exit 0
